Mailinglist Archive: opensuse-security (50 mails)

< Previous Next >
Re: [suse-security] antivir updates not working anymore under 10.0? SOLVED!!
  • From: Matthias Keller <linux@xxxxxxxxxxxxxxxxxx>
  • Date: Wed, 24 May 2006 14:30:43 +0200
  • Message-id: <447451F3.9040303@xxxxxxxxxxxxxxxxxx>
Matthias Keller wrote:
> Hi
>
> For about 3 weeks I'm unable to update my antivir on my suse 10.0 machine.
> I get this error:
>
> -
> error updating the VDF database (inc)
> error updating the VDF database
> See log files for details.
> -
>
> The logs say:
> May 24 13:28:12 server antivir[31553]: Error: unable to verify runmode
> of update
> May 24 13:28:12 server antivir[31553]: AntiVir FAILED to update itself
>
> Unfortunately I wasn't able to find anything about this runmode problem...
> I tought it might be a license problem but neither with the license
> included in the 10.1 rpm (valid till june 2006, COMMERCIAL) nor with the
> license from the latest tarball (valid till july 2006, PERSONAL) i was
> able to perform an update.
> It works perfectly on the 10.1 machine tough !!!
>
> I've reinstalled it several times from the rpm or from the tarball -
> each time removing all occurences i knew about
> (/etc/(antivir┬Žavguard).conf, /usr/lib/AntiVir)....
>
I finally found the problem after reading a thread of someone with not
enough free space on /tmp
This wasn't my problem, BUT, I've set the noexec flag on /tmp for
security reason - and this seems to make updates impossible !!

I've added the --temp option now and it seems to work

I hope this helps someone else in the future with the same problem.....

Matt

< Previous Next >
Follow Ups
References